package main

/*
	this parses the command line arguements

	this enables command line options from other packages like 'gui' and 'log'
*/

import (
	"go.wit.com/dev/alexflint/arg"
	"go.wit.com/lib/debugger"
	"go.wit.com/log"
)

var args struct {
	TmpLog  bool   `arg:"--tmp-log"  help:"automatically send STDOUT to /tmp"`
	OpenGui bool   `arg:"--open-gui" help:"open the go-deb gui"`
	Repo    string `arg:"--repo"     help:"go get path to the repo"`
}

func init() {
	arg.MustParse(&args)

	if debugger.ArgDebug() {
		log.Info("cmd line --debugger == true")
	} else {
		log.Info("cmd line --debugger == false")
	}
}
